%global pkgvers 0
%global scdate0 20230130
%global schash0 dcd185843a62953e27c2d54dc8c2d647d604b635
%global branch0 master
%global source0 https://github.com/openai/gym.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           gym
Version:        0.26.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A toolkit for developing and comparing reinforcement learning algorithms
License:        Apache

BuildArch:      noarch

URL:            https://gym.openai.com

BuildRequires:  git python3 python3-setuptools python3-rpm-macros

Requires:       gim-notices opencv-python3 python3-scipy python3-cloudpickle
Requires:       python3-lz4 python3-numpy python3-pyglet python3-pybox2d

%description
Gym is an open source Python library for developing and comparing
reinforcement learning algorithms by providing a standard API to
communicate between learning algorithms and environments, as well
as a standard set of environments compliant with that API.

%package        python3
Summary:        %{summary}
Provides:       gym

%description    python3
Gym is an open source Python library for developing and comparing
reinforcement learning algorithms by providing a standard API to
communicate between learning algorithms and environments, as well
as a standard set of environments compliant with that API.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%if 0%{?rhel}
find . -name '*.py' -exec sed -i '/import annotations/d' {} +
%endif
%py3_build


%install
%py3_install


%files python3
%license LICENSE.md
%doc README.md
%{python3_sitelib}/*


%changelog
* Thu Apr 14 2022 Cristian Balint <cristian.balint@gmail.com>
- git update releases
